Name:           swing-layout
Version:        1.0.4
Release:        %mkrel 13
Summary:        Natural layout for Swing panels
Group:          Development/Java
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# https://svn.java.net/svn/swing-layout~svn/trunk/
Source0:        %{name}-%{version}-src.zip
# from http://java.net/jira/secure/attachment/27303/pom.xml
Source1:        %{name}-pom.xml
# use javac target/source 1.5
Patch0:         %{name}-%{version}-project_properties.patch
Patch1:         %{name}-%{version}-fix-incorrect-fsf-address.patch

BuildRequires:  javapackages-local
BuildRequires:  java-devel >= 1.3
BuildRequires:  ant
BuildRequires:  dos2unix
Requires:       java >= 1.3

BuildArch:      noarch

%description
Extensions to Swing to create professional cross platform layout.

%if 0
%package javadoc
Summary:        Javadoc documentation for Swing Layout

%description javadoc
Documentation for Swing Layout code.
%endif

%prep
%setup -q
dos2unix releaseNotes.txt
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' COPYING

cp -p %{SOURCE1} pom.xml
sed -i "s|<version>1.0.3</version>|<version>%{version}</version>|" pom.xml

%build

%{ant} jar \
#   [javadoc] Loading source files for package org.jdesktop.layout...
#   [javadoc] 1 error
#   [javadoc] java.lang.IllegalStateException: endPosTable already set
%if 0
 javadoc dist
%endif
 
%install

mkdir -p %{buildroot}%{_javadir}

%if 0
install -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
%else
install -m 644 dist/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%if 0
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files -f .mfiles
%doc releaseNotes.txt
%license COPYING

%if 0
%files javadoc
%{_javadocdir}/%{name}
%license COPYING
%endif




%changelog
* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.0.4-13.mga8
+ Revision: 1653198
- set java source and target version to 1.8 to fix build

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-12.mga8
+ Revision: 1508161
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.4-11.mga7
+ Revision: 1291730
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 1.0.4-10.mga7
+ Revision: 1162666
- add missing BR on javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 1.0.4-9.mga6
+ Revision: 979828
- First rebuild of the java stack
- sync package swing-layout with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-8.mga5
+ Revision: 742920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-7.mga5
+ Revision: 689642
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-6.mga4
+ Revision: 519443
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-5.mga3
+ Revision: 383845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.4-4.mga1
+ Revision: 93147
- Rebuild after bootstrapping
- imported package swing-layout


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-2
- Drop gcj_support.

* Tue Jan 26 2010 Victor G. Vasilyev <victor.vasilyevg@sun.com> - 1.0.4-1
- 1.0.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-2
- gcj bits
- no insane javadoc links

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-1
- 1.0.3
- Major specfile cleanup for Fedora

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0:1.0-1jpp
- Shamelessly stolen this from JPackage 1.6 without proper ChangeLog entry

* Mon Nov 12 2005 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.
